News
News topics
GET
The topic catalogue, with how many items each had in the last 30 days.
bearerheader
AuthorizationBearer <token>Your API key: Authorization: Bearer opg_live_...
limit?LimitRange
1 <= value <= 1000Default
100cursor?string|nullOpenGrid-Version?"2026-11-03"The API version to shape the response for. Default: the version pinned to your key.
Value in
"2026-11-03"Success
application/json- response
data*array<>meta*Present on every success. List routes add limit, next_cursor (null on the last page) and total.
curl -X GET 'https://data.tryopengrid.com/v1/news/topics'Example Response
{ "data": [ { "description": "string", "id": "string", "items_30d": 0, "weight": 0 } ], "meta": { "as_of": "2019-08-24T14:15:22Z", "api_version": "string", "request_id": "string", "next_cursor": "string", "limit": 0, "total": 0 }}